## About

Prometheus Agent that calculates days left to vacinate everyone in Ontario who is 18+ using the current rate of vacination

## Running:

```bash
$ go run main.go
```

## Reading metrics

```bash
$ curl -s localhost:8080/metrics |grep records

# HELP records_previous_day_doses_administered Previous Day Doses Administered
# TYPE records_previous_day_doses_administered gauge
records_previous_day_doses_administered 105382
# HELP records_total_doses_administered Total Doses Administered
# TYPE records_total_doses_administered gauge
records_total_doses_administered 2.940166e+06
# HELP records_total_doses_in_fully_vaccinated_individuals Total Doses In Fully Vaccinated Individuals
# TYPE records_total_doses_in_fully_vaccinated_individuals gauge
records_total_doses_in_fully_vaccinated_individuals 328598
```